nexus 4 "COMMAND ERROR" when updating apps

Bug #1293797 reported by rulip
30
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Software Center Agent
Undecided
Unassigned
clickmanager-plugin
Undecided
Unassigned

Bug Description

Hi,

In "Update Manger" app, it says I have 5 updates(notes, music, gallery, camera and terminal). But when I try update them, when bar gets to 100% it then just says "Command Error". So if I close Update Manger and go back in it just keeps saying 5 updates available.

(also now in settings saying I have update, update "Version 237(even doh on 237r as seen below)" available, but every time I install and restart phone the update in settings is still there, every time I install update and restart it is still there on restart)

About this phone:
LGE Nexus 4
OS: Ubuntu 14.04(r237)

Changed in touch-preview-images:
status: New → Confirmed
Revision history for this message
Dave Morley (davmor2) wrote :

This is partially expected at the moment. These apps were updated to make them work on the More recent version of QT that has landed, but isn't in the current promoted image. This means that if these apps with the fix for qt5.2.1 landed on your system they wouldn't open.

There are a couple of issues that need to be discussed around this, like not showing applications that are not in your version of the sdk etc but it is there for your safety currently.

Revision history for this message
James Tait (jamestait) wrote :

The problem here, as Dave points out, is that the click packages in question have been upgraded to use a newer framework that provides a newer version of Qt. The update process isn't taking the framework versions into consideration when determining the upgrades available.

As I understand it, the click update manager is checking https://myapps.developer.ubuntu.com/dev/api/click-metadata/ to determine what updates are available. This service neither accepts client frameworks as an input, nor lists package frameworks as an output.

An interim solution might be to include the package framework in the output from the service, and for the click update manager to verify that the framework is available on the device before downloading the package.

James Tait (jamestait)
Changed in software-center-agent:
status: New → Confirmed
affects: touch-preview-images → clickmanager-plugin
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers